net.sf.saxon.expr

## Class AnalyzeMappingFunction

- java.lang.Object
- - net.sf.saxon.expr.AnalyzeMappingFunction

- All Implemented Interfaces:
    ContextMappingFunction<StringValue>

      public class AnalyzeMappingFunction
      extends Object
      implements ContextMappingFunction<StringValue>

  Mapping function that maps the sequence of matching/non-matching strings to the sequence delivered by applying the matching-substring and non-matching-substring expressions respectively to each such string

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AnalyzeMappingFunction(RegexIterator base, XPathContext c2, Expression nonMatchExpr, Expression matchingExpr)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `SequenceIterator<StringValue>` | `map(XPathContext context)` Map one item to a sequence.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AnalyzeMappingFunction

          public AnalyzeMappingFunction(RegexIterator base,
                                XPathContext c2,
                                Expression nonMatchExpr,
                                Expression matchingExpr)

  - ### Method Detail

    - #### map

          public SequenceIterator<StringValue> map(XPathContext context)
                                            throws XPathException

      Map one item to a sequence.
      Specified by:
        `map` in interface `ContextMappingFunction<StringValue>`
      Parameters:
        `context` - The processing context. Some mapping functions use this because they require context information. Some mapping functions modify the context by maintaining the context item and position. In other cases, the context may be null.
      Returns:
        either (a) a SequenceIterator over the sequence of items that the supplied input item maps to, or (b) an Item if it maps to a single item, or (c) null if it maps to an empty sequence.
      Throws:
        `XPathException` - if a dynamic error is detected

Copyright (c) 2004-2013 Saxonica Limited. All rights reserved.